<template>
  <div class="h-screen w-full flex flex-wrap justify-center items-center">
  <div class="w-full md:w-1/2">
    <div class="bg-white">
      <div class="flex bg-theme-blue-400 text-white bg-gray-800 px-4">
        <div class="w-full py-2 text-xl md:text-3xl font-bold text-center">
          Potter books order
        </div>
      </div>
      <div class="py-4 px-2 overflow-y-scroll bg-gray-700 text-white">
        <div class="flex justify-center">
          <form id="orderBookForm" class="md:px-4 w-full">
            <div class="flex mb-4 w-full bg-white rounded-lg p-2">
              <label
                for="first_book_input"
                class="w-full flex pl-6 self-center text-black font-semibold"
              >
                <span class="self-center text-base md:text-3xl">
                  Harry Potter and the Philosopher's Stone
                </span>
              </label>
              <div class="inline-block relative">
                <div class="flex flex-wrap">
                  <div class="flex w-8/12">
                    <input type="text" value="0" id="first_book_input"
                    class="bg-white text-sm text-gray-900 text-center focus:outline-none border border-gray-800 focus:border-gray-600 rounded-l-md w-full">
                    </div>
                  <div class="flex flex-col w-4/12">
                    <button
                    class="text-white text-center text-md font-semibold rounded-tr-md px-1 bg-gray-800 focus:bg-gray-600 focus:outline-none border border-gray-800 focus:border-gray-600">
                    +
                    </button>
                    <button
                    class="text-white text-center text-md font-semibold rounded-br-md px-1 bg-gray-800 focus:bg-gray-600 focus:outline-none border border-gray-800 focus:border-gray-600">
                    -
                    </button>
                  </div>
                  </div>
              </div>
            </div>
            <div class="flex mb-4 w-full bg-white rounded-lg p-2">
              <label
                for="first_book_input"
                class="w-full flex pl-6 self-center text-black font-semibold"
              >
                <span class="self-center text-base md:text-3xl">
                  Harry Potter and the Chamber of Secrets
                </span>
              </label>
              <div class="inline-block relative">
                <div class="flex flex-wrap">
                  <div class="flex w-8/12">
                    <input type="text" value="0" id="first_book_input"
                    class="bg-white text-sm text-gray-900 text-center focus:outline-none border border-gray-800 focus:border-gray-600 rounded-l-md w-full">
                    </div>
                  <div class="flex flex-col w-4/12">
                    <button
                    class="text-white text-center text-md font-semibold rounded-tr-md px-1 bg-gray-800 focus:bg-gray-600 focus:outline-none border border-gray-800 focus:border-gray-600">
                    +
                    </button>
                    <button
                    class="text-white text-center text-md font-semibold rounded-br-md px-1 bg-gray-800 focus:bg-gray-600 focus:outline-none border border-gray-800 focus:border-gray-600">
                    -
                    </button>
                  </div>
                  </div>
              </div>
            </div>
            <div class="flex mb-4 w-full bg-white rounded-lg p-2">
              <label
                for="first_book_input"
                class="w-full flex pl-6 self-center text-black font-semibold"
              >
                <span class="self-center text-base md:text-3xl">
                  Harry Potter and the Prisoner of Azkaban
                </span>
              </label>
              <div class="inline-block relative">
                <div class="flex flex-wrap">
                  <div class="flex w-8/12">
                    <input type="text" value="0" id="first_book_input"
                    class="bg-white text-sm text-gray-900 text-center focus:outline-none border border-gray-800 focus:border-gray-600 rounded-l-md w-full">
                    </div>
                  <div class="flex flex-col w-4/12">
                    <button
                    class="text-white text-center text-md font-semibold rounded-tr-md px-1 bg-gray-800 focus:bg-gray-600 focus:outline-none border border-gray-800 focus:border-gray-600">
                    +
                    </button>
                    <button
                    class="text-white text-center text-md font-semibold rounded-br-md px-1 bg-gray-800 focus:bg-gray-600 focus:outline-none border border-gray-800 focus:border-gray-600">
                    -
                    </button>
                  </div>
                  </div>
              </div>
            </div>
            <div class="flex mb-4 w-full bg-white rounded-lg p-2">
              <label
                for="first_book_input"
                class="w-full flex pl-6 self-center text-black font-semibold"
              >
                <span class="self-center text-base md:text-3xl">
                  Harry Potter and the Goblet of Fire
                </span>
              </label>
              <div class="inline-block relative">
                <div class="flex flex-wrap">
                  <div class="flex w-8/12">
                    <input type="text" value="0" id="first_book_input"
                    class="bg-white text-sm text-gray-900 text-center focus:outline-none border border-gray-800 focus:border-gray-600 rounded-l-md w-full">
                    </div>
                  <div class="flex flex-col w-4/12">
                    <button
                    class="text-white text-center text-md font-semibold rounded-tr-md px-1 bg-gray-800 focus:bg-gray-600 focus:outline-none border border-gray-800 focus:border-gray-600">
                    +
                    </button>
                    <button
                    class="text-white text-center text-md font-semibold rounded-br-md px-1 bg-gray-800 focus:bg-gray-600 focus:outline-none border border-gray-800 focus:border-gray-600">
                    -
                    </button>
                  </div>
                  </div>
              </div>
            </div>
            <div class="flex mb-4 w-full bg-white rounded-lg p-2">
              <label
                for="first_book_input"
                class="w-full flex pl-6 self-center text-black font-semibold"
              >
                <span class="self-center text-base md:text-3xl">
                  Harry Potter and the Order of the Phoenix
                </span>
              </label>
              <div class="inline-block relative">
                <div class="flex flex-wrap">
                  <div class="flex w-8/12">
                    <input type="text" value="0" id="first_book_input"
                    class="bg-white text-sm text-gray-900 text-center focus:outline-none border border-gray-800 focus:border-gray-600 rounded-l-md w-full">
                    </div>
                  <div class="flex flex-col w-4/12">
                    <button
                    class="text-white text-center text-md font-semibold rounded-tr-md px-1 bg-gray-800 focus:bg-gray-600 focus:outline-none border border-gray-800 focus:border-gray-600">
                    +
                    </button>
                    <button
                    class="text-white text-center text-md font-semibold rounded-br-md px-1 bg-gray-800 focus:bg-gray-600 focus:outline-none border border-gray-800 focus:border-gray-600">
                    -
                    </button>
                  </div>
                  </div>
              </div>
            </div>
            <div class="text-center pt-8">
              <button
                type="submit"
                class="px-4 py-2 text-xl md:text-3xl rounded-lg bg-blue-400 text-white "
              >
                Get price
              </button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
export default defineComponent({
  name: 'BookOrderForm',
  props: {
  },
  setup: () => {
    return { }
  }
})
</script>
